/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
import { CommandContribution, CommandRegistry, MenuContribution, MenuModelRegistry } from '@theia/core';
import { ApplicationShell } from '@theia/core/lib/browser';
/**
 * This module defines different commands and menu actions that fire a specific action.
 * These actions can be handled by the server or client part.
 *
 * Note! the command contributions must be registered in the BPMNTheiaFrontendModule
 *
 */
export declare namespace PropertyPanelCommands {
    const PROPERTIES_TOGGLE = "glsp-bpmn-properties-toggle";
}
export declare class BPMNPropertiesCommandContribution implements CommandContribution {
    protected readonly shell: ApplicationShell;
    registerCommands(commands: CommandRegistry): void;
}
export declare class BPMNPropertiesMenuContribution implements MenuContribution {
    registerMenus(menus: MenuModelRegistry): void;
}
//# sourceMappingURL=bpmn-property-commands.d.ts.map