"use strict";
/********************************************************************************
 * Copyright (c) 2020-2022 EclipseSource and others.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the Eclipse
 * Public License v. 2.0 are satisfied: GNU General Public License, version 2
 * with the GNU Classpath Exception which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 ********************************************************************************/
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BPMNPropertiesMenuContribution = exports.BPMNPropertiesCommandContribution = exports.PropertyPanelCommands = void 0;
const theia_integration_1 = require("@eclipse-glsp/theia-integration");
const open_bpmn_properties_1 = require("@open-bpmn/open-bpmn-properties");
const browser_1 = require("@theia/core/lib/browser");
const inversify_1 = require("@theia/core/shared/inversify");
/**
 * This module defines different commands and menu actions that fire a specific action.
 * These actions can be handled by the server or client part.
 *
 * Note! the command contributions must be registered in the BPMNTheiaFrontendModule
 *
 */
var PropertyPanelCommands;
(function (PropertyPanelCommands) {
    PropertyPanelCommands.PROPERTIES_TOGGLE = 'glsp-bpmn-properties-toggle';
})(PropertyPanelCommands = exports.PropertyPanelCommands || (exports.PropertyPanelCommands = {}));
let BPMNPropertiesCommandContribution = class BPMNPropertiesCommandContribution {
    registerCommands(commands) {
        // register commands...
        commands.registerCommand({ id: PropertyPanelCommands.PROPERTIES_TOGGLE, label: 'BPMN Properties' }, new theia_integration_1.GLSPCommandHandler(this.shell, {
            actions: () => [open_bpmn_properties_1.BPMNPropertyPanelToggleAction.create()],
            isEnabled: context => context.selectedElements.length === 1
        }));
    }
};
__decorate([
    (0, inversify_1.inject)(browser_1.ApplicationShell),
    __metadata("design:type", browser_1.ApplicationShell)
], BPMNPropertiesCommandContribution.prototype, "shell", void 0);
BPMNPropertiesCommandContribution = __decorate([
    (0, inversify_1.injectable)()
], BPMNPropertiesCommandContribution);
exports.BPMNPropertiesCommandContribution = BPMNPropertiesCommandContribution;
let BPMNPropertiesMenuContribution = class BPMNPropertiesMenuContribution {
    // static readonly NAVIGATION = GLSPContextMenu.MENU_PATH.concat('navigate');
    // static readonly NIX = GLSPContextMenu.MENU_PATH;
    registerMenus(menus) {
        menus.registerMenuAction(theia_integration_1.GLSPContextMenu.MENU_PATH.concat('z'), {
            commandId: PropertyPanelCommands.PROPERTIES_TOGGLE,
            label: 'BPMN Properties'
        });
    }
};
BPMNPropertiesMenuContribution = __decorate([
    (0, inversify_1.injectable)()
], BPMNPropertiesMenuContribution);
exports.BPMNPropertiesMenuContribution = BPMNPropertiesMenuContribution;
//# sourceMappingURL=bpmn-property-commands.js.map